### Signal

# Adw MessageDialog::response

deprecated: 1.6 since: 1.2

#### Declaration

    void
    response (
      AdwMessageDialog* self,
      gchar* response,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when the dialog is closed.

`response` will be set to the response ID of the button that had been activated.

if the dialog was closed by pressing `Escape` or with a system action, `response` will be set to the value of `AdwMessageDialog:close-response`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed
Available since: 1.2
Deprecated since: 1.6
Use `AdwAlertDialog`.

#### Parameters

`response`

  Type: `gchar*`

  The response ID.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.